include:
  - project: 'documents/ci-building-blocks-documents'
    ref: main
    file:
      - '/base.yml'
      - '/documents-integration.yml'
      - '/scan/coverity.yml'
      - '/scan/spectral.yml'

stages:
  - documents-integration
  - scan

coverity:
  extends: .coverity-docs
  variables:
    COV_STREAM_NAME: documents_documentconverter-api
  before_script:
    # There is a strange behavior of the source mode requiring an existing build.gradle or pom.xml file with some content to run a source scan successfully, otherwise Coverity just does nothing.
    # Create build.gradle file so that Coverity starts
    - echo "plugins { id 'java' } sourceCompatibility = '17'" > build.gradle
    - /opt/coverity/bin/cov-capture --project-dir $CI_PROJECT_DIR --dir coverity_test
